/*
 * Copyright (C) 2012-2026 MotionSystems
 *
 * This file is part of ForceSeatMI SDK.
 *
 * www.motionsystems.eu
 *
 */

#pragma once

#include "UObject/NoExportTypes.h"
#include "ForceSeatMI_Settings.generated.h"

UCLASS(config = ForceSeatMISettings)
class UForceSeatMISettings : public UObject
{
	GENERATED_BODY()
public:
	UForceSeatMISettings(const FObjectInitializer& obj);

	UPROPERTY(Config, EditAnywhere, Category = Settings)
	bool ActivateProfileOnStartup;

	UPROPERTY(Config, EditAnywhere, Category = Settings, meta = (EditCondition = "ActivateProfileOnStartup"))
	FString ProfileName;

	UPROPERTY(Config, EditAnywhere, Category = Settings)
	FString AppID;
};
